Summary: Bytecode Engineering Library
Name: rhug-bcel
Version: 5.0
Release: 1
URL: http://jakarta.apache.org/bcel/
Source0: %{name}-%{version}.tar.gz
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gcc-java
BuildPrereq: libgcj-devel
BuildPrereq: rhug-jakarta-regexp-devel
Requires: libgcj
Requires: rhug-jakarta-regexp

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create,
and manipulate (binary) Java class files (those ending with
.class). Classes are represented by objects which contain all the
symbolic information of the given class: methods, fields and byte code
instructions, in particular.

Such objects can be read from an existing file, be transformed by a
program (e.g. a class loader at run-time) and dumped to a file
again. An even more interesting application is the creation of classes
from scratch at run-time. The Byte Code Engineering Library (BCEL) may
be also useful if you want to learn about the Java Virtual Machine
(JVM) and the format of Java .class files.

%package devel
Summary: Files for developing BCEL applications with gcj.
Group: Development/Libraries
Requires: rhug-bcel = %{version}-%{release}

%description devel
The rhug-bcel-devel package contains the libraries, includes and other
files you can use to develop BCEL applications with gcj.

%prep
%setup -q

%build
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*.so*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.la
%{_includedir}/*
# FIXME: Uncomment this with libtool can build static libraries again.
# %{_libdir}/*.a

%changelog
* Sat May 24 2003 Anthony Green <green@redhat.com>
- Install .la file.

* Tue Nov 26 2002 Gary Benson <gbenson@redhat.com> 5.0-1
- Upgraded to 5.0.
- Added dependencies on gcc-java and libgcj.

* Sat Mar  2 2002 Anthony Green <green@redhat.com> 4.4.2-1
- Initial build.
